ZITADEL Docs
APIsCore ResourcesV1Instance Lifecycle

ListIAMMembers

Returns all instance members matching the request all queries need to match (ANDed) Deprecated: Use the Admin APIs ListIAMMembers instead

POST
/instances/{instance_id}/members/_search

Path Parameters

instance_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/instances/string/members/_search" \  -H "Content-Type: application/json" \  -d '{}'
{
  "details": {
    "totalResult": 0,
    "processedSequence": 0,
    "viewTimestamp": "2023-01-15T01:30:15.01Z"
  },
  "result": [
    {
      "userId": "string",
      "details": {
        "sequence": 0,
        "creationDate": "2023-01-15T01:30:15.01Z",
        "changeDate": "2023-01-15T01:30:15.01Z",
        "resourceOwner": "string"
      },
      "roles": [
        "string"
      ],
      "preferredLoginName": "string",
      "email": "string",
      "firstName": "string",
      "lastName": "string",
      "displayName": "string",
      "avatarUrl": "string",
      "userType": "TYPE_UNSPECIFIED",
      "userResourceOwner": "string"
    }
  ]
}

Was this page helpful?